Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jbi.management
Interface ComponentLifeCycleMBean

All Superinterfaces:
  LifeCycleMBean

public interface ComponentLifeCycleMBean
extends LifeCycleMBean

ComponentLifeCycleMBean defines the standard life cycle controls for JBI Installable Components.

- Initialize the component, preparing it to receive service requests.
- Start the component, allowing it to initiate service requests.
- Stop the component from initiating any more service requests.
- Shut down the component, returning it to the uninitialized state where it cannot receive service requests.
- Query the JMX object name of the extension MBean for the component.

Author:
  JSR208 Expert Group

Field Summary

Fields inherited from interface javax.jbi.management.LifeCycleMBean
`RUNNING, SHUTDOWN, STOPPED, UNKNOWN`

Method Summary
`javax.management.ObjectName` | `getExtensionMBeanName()` Get the JMX ObjectName for the life cycle extension MBean for this component.

Methods inherited from interface javax.jbi.management.LifeCycleMBean
`getCurrentState, shutDown, start, stop`

Method Detail

### getExtensionMBeanName

    public javax.management.ObjectName getExtensionMBeanName()
                                                      throws JBIException

  Get the JMX ObjectName for the life cycle extension MBean for this component. If there is none, return `null`. Note that this MBean may serve as a container for multiple MBeans, as required by the component implementation.

  Returns:
    ObjectName the JMX object name of the additional MBean or `null` if there is no additional MBean.
  Throws:
    `JBIException` - if there is a failure getting component information for the component to which this life cycle applies.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Built 06/07/2005 11:16 AM on acer (SunOS 5.9)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2005 Sun Microsystems Inc., All Rights Reserved.